Skip to content

Get job details

GET
/api/v1/jobs/{job_id}
curl --request GET \
--url https://example.com/api/v1/jobs/1

Get detailed information about a specific job from database.

job_id
required
Job Id
integer
X-Environment-Id
Any of:
string

Successful Response

Media typeapplication/json
JobListItem

Refined job list item with simplified status.

object
job_name
required
Job Name

Name of the job

string
job_type
Any of:
string
job_id
required
Job Id
integer
creator_user_name
Any of:
string
run_as_user_name
Any of:
string
created_time
Any of:
string format: date-time
modified_time
Any of:
string format: date-time
is_active
Is Active
boolean
default: true
tags
Any of:
object
key
additional properties
string
timeout_seconds
Any of:
integer
max_concurrent_runs
Any of:
integer
description
Any of:
string
settings
Any of:
object
key
additional properties
any
schedule_type
Any of:
string
schedule_details
Any of:
object
key
additional properties
any
continuous_config
Any of:
object
key
additional properties
any
notification_settings
Any of:
object
key
additional properties
any
health_rules
Any of:
object
key
additional properties
any
trigger_state
Any of:
object
key
additional properties
any
budget_policy_id
Any of:
string
usage_policy_id
Any of:
string
status
required
Status

Running, succeeded, failed, canceled, never_run

string
last_run_time
Any of:
string format: date-time
last_run_duration
Any of:
integer
last_run_lifecycle_state
Any of:
string
last_run_result_state
Any of:
string
duration_delta
Any of:
string
nexa_managed
Nexa Managed
boolean
job_url
Any of:
string
Example
{
"is_active": true,
"nexa_managed": false
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}